# @xtadmin/create-vue-xtadmin-app

[![Coveralls bitbucket](https://img.shields.io/coveralls/bitbucket/pyKLIP/pyklip.svg)](https://github.com/wisetc/@xtadmin/create-vue-xtadmin-app.git)

为适应公司接口生成的 vue 前端模板脚手架，与公司标准接口无缝衔接，实现对数据库单表的增删改查基础功能。公司采用非 restful 风格接口，所以在前端项目中对接口的调用进行了封装，使之成为标准方法。

## 原理

读取 MySQL 数据库表，根据表的数量和表注释生成表对应的 Vue 文件。读取表的列信息作为前端数据模型的字段。根据表注释生成公司接口调用的标准方法。

## 安装

```bash
$ sudo npm i -g @xtadmin/create-vue-xtadmin-app
```

## 帮助

查看帮助

```bash
  Usage: create-vue-xtadmin-app <dist_relative_path>

  创建公司前端管理项目的 vue 模板


  Options:

    -V, --version                    output the version number
    -f, --file <file>                指定.env配置文件
    -t, --templates <template_root>  指定模板根目录
    -h, --help                       output usage information
```

## 使用

在当前目录下新建你的 `.env` 文件。

```env
DB_HOST=192.168.2.102
DB_USER=root
DB_PASS=yourpassword
```

然后运行 `create-vue-xtadmin-app` 命令。

```bash
$ create-vue-xtadmin-app
```

![运行示例](http://7xs3ak.com1.z0.glb.clouddn.com/s/images/npm/create-vue-xtadmin-app/run-script.gif)

你可以修改[templates](https://github.com/wisetc/create-vue-xtadmin-app/tree/master/templates)文件夹中以ejs为后缀名的文件来创建自己的模板，然后运行参数中带上模板的路径`-t <template_root>`。

## 测试

```bash
$ npm test
```